#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-admin
Version		:	1.3.0
Release		:	14.8.0.0%{?dist}
Summary		:	LXQt system administration tool
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://lxqt.org/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
#-----------------------------------------------------------------------------
%description
This package provides tools to adjust settings of the operating system
LXQt is running on. Both can be launched from GUI "Configuration Center".

GUI "Time and date configuration", binary lxqt-admin-time, can be used
to adjust the system time of the operating system as well as the timezone.


#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS COPYING README.md
%{_bindir}/%{name}-time
%{_bindir}/%{name}-user
%{_bindir}/%{name}-user-helper
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/polkit-1/actions/org.lxqt.%{name}-user.policy
%{_datadir}/lxqt/translations/%{name}*/%{name}*_*.qm


#-----------------------------------------------------------------------------
%changelog
